using System;
using System.Runtime.InteropServices;
 
namespace COMAddinAndUDF
{
    /// <summary>
    ///   Add-in Express Excel Add-in Module
    /// </summary>
    [GuidAttribute("65CE2017-2285-4F51-A3AB-0F4066291A1F"),
    ProgId("COMAddinAndUDF.ExcelAddinModule1"), ClassInterface(ClassInterfaceType.AutoDual)]
    public class ExcelAddinModule1 : AddinExpress.MSO.ADXExcelAddinModule
    {
        public ExcelAddinModule1()
        {
            InitializeComponent();
        }
 
        #region Add-in Express automatic code
 
        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXExcelAddinModule.ADXExcelAddinRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXExcelAddinModule.ADXExcelAddinUnregister(t);
        }
 
        #endregion

        private void InitializeComponent()
        {
            // 
            // ExcelAddinModule1
            // 
            this.AddinStartupComplete += new AddinExpress.MSO.ADXEvents_EventHandler(this.ExcelAddinModule1_AddinStartupComplete);

        }

        private void ExcelAddinModule1_AddinStartupComplete(object sender, EventArgs e)
        {
            //
        }

        public string MyFunc()
        {
            if (AddinExpress.MSO.ADXAddinModule.CurrentInstance != null)
                return "The add-in name is '" + AddinExpress.MSO.ADXAddinModule.CurrentInstance.AddinName + "'.";
            return "The add-in is not loaded.";
        }
 
    }
}

